# SDAGetGhostCorners

Returns the global (x,y,z) indices of the lower left corner of the local region, including ghost points.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT SDAGetGhostCorners(SDA da,PetscInt *x,PetscInt *y,PetscInt *z,PetscInt *m,PetscInt *n,PetscInt *p)

### Input Parameter

da -the distributed array

### Output Parameters

x,y,z -the corner indices

       y and z are optional (used for 2D and 3D problems)

m,n,p -widths in the corresponding directions

       n and p are optional (used for 2D and 3D problems)

### Note

Any of y, z, n, and p should be set to PETSC_NULL if not needed.

### Keywords

distributed array, get, ghost, corners, nodes, local indices

### See Also

SDAGetCorners()

Level:beginner
Location: src/dm/da/utils/sda2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages